Aus alt mach neu Aktion

  • Hallo Mitglieder,

    Ich bae wahrscheinlich nicht der erste oder der letzte der heir bei Hilfe braucht!


    Viele hier scheinen sich richtig gut mit Joomla auszukennen, deswegen bitte ich sie um Hilfe!

    Ich bin nicht ganz blutiger Anfänger, aber als Fortgeschrittner oder Profi kann ich mich auch nicht bezeichnen :-)


    zunächst erzähle ich mein Problem. Ich habe damals ( ca 5-7 Jahre ) mir eine für mich richtig gute Seite gemacht, die mir optisch um funktional voll zufrieden gestellt hat,

    Link alte Seite: http://www.pinguin-russ.de/neu072016/


    wirklich alles gefällt mir an der alte Seite! jetzt kommt das aber, die haben angefangen mir oft die Seite zu hacken, es ist auch joomla 1.5, nicht gerade aktuell. Nach dem ich die 4-5 mal zurück gesetzt habe, habe ich vom Webhoster Warnung bekommen, sollte die Seite noch mal gehackt werden, würden die mir Strafgebühren zur Rechnung stellen, also bin ich gezwungen die Seite neu aufzuziehen!


    ich versuche jetzt also aus alt mach neu Aktion durchzuführen.

    Ich habe mir ein ähnliches 3.8 Templates ausgesucht.

    Ich habe geschafft den background zu kopieren und mit Hilfe von Axel und Christine das Hintergrund der Beiträge und module transparent zu machen. Auf meine alte Seite war es so, dass das Hintergrund grau und fast transparent war ( ich bin davon ausgegangen, dass es komplett transparent war ) und abgerundet mit obere und untere Linie ( ich habe das templates.css als pdf im Anhang dazu gefügt, dort kann man das erkennen ).


    jetzige Seite sieht erst mal so aus, link neue Seite, Link: http://pinguin-russ.de/index.php


    Also wäre echt toll wenn ihr mir helfen würdet dies zu schaffen, ich sage nicht dass ihr komplett alles selber machen sollt oder mir alles vorkauen, ich bin bereit es selber zu versuchen und zulernen. Aber paar Tips eurerseits wäre nicht schlecht!


    Also kann ihr zunächst erklären wo der unterschied zwischen template.css und css.css ist??


    Danke im Voraus!

    Gruß Dimi

  • Zitat

    Also kann ihr zunächst erklären wo der unterschied zwischen template.css und css.css ist??

    Das sind lediglich zwei unterschiedliche CSS-Dateien, die jede für sich, Formatierungne für die Site enthält. Kein großes Geheimnis. Du brauchst sie alle. Wo welche CSS-Datei benutzt wird, entschlüsselt sich nur bei Analyse der Website.



    Das was du da aber von uns haben möchtest, wirst du hier nicht bekommen. Eine Migration von einer, zudem auch noch gehackten, 1.5x zu 3.8.8 ist richtig fett Arbeit und wird sich niemand freiwillig antun! Ich selber würde das beispielsweise möglichst nie manchen, sondern immer die Site komplett neu aufsetzen. Meist effektiver, zeit- und nervendsparend.

    Und die Möglichkeiten eines Supportforums werden hier arg strapaziert.


    Oben im Forummenü fidnest du unter den Anleitungen, wie du migrieren kannst. Schau dir das an und beginne. Wenn du dann irgendwo Probleme hast, frag hier nach. Aber immer konkrete Fragen zu konkrete Probleme.


    "Wer macht mir das (teilweise)" - kommt hier nicht gut an und wird dir auch niemand machen. Wie gesagt: das ist richtig Arbeit und die macht auch nicht unbedingt Spaß! ;)



    Axel

  • Du findest oben rechts einen Link zu Dienstleistern, wo du anfragen kannt. Umsonst macht das niemand.

    Ich würde, wie die anderen schon sagen, alles manuell völlig neu aufsetzen - und notfalls mal ein paar Stunden copy/paste dransetzen.

    Aber erst nachdem ich herausgefunden hätte, woher der Hack kommt. Ist es ein Trojaner auf deinem PC oder ist der Hack in deinem Bildern, würde auch die neue Seite umgehend gehackt und alles wäre umsonst.

  • Ein Spaziergang: 3.8.8 neu aufsetzen, checke /images in der 1.5er nach .php Dateien, da gehört keine hinein, dann per FTP kopieren. Neues Template suchen. Den Rest machst du mit J2XML, wenn es mehr als 30 Inhalte sind, alles darunter kann man mühelos in einer oder zwei Stunden per copy & paste machen: https://www.eshiol.it/31-guide/j2xml/37-joomla-15-to-30.html. Die Modulpositionen haben sich geändert, da musst du dich auf den Hosenboden setzen, und die Unterschiede anhand der Doku für das Template lernen, oder die Vorschaufunktion nutzen.

  • Kann mir jemand helfen,

    ich kann mich nicht mehr ins administrator Bereich, meiner Seite die unter joomla 1.5 läuft, einloggen.

    Meldung die Verbindung sei nicht verschlüsselt!

    Egal mit welchem Browser, Safari Firefox und Inter-Explorer!

    Gestern ging noch alles!?!?

    Bitte

    Gruß

  • Meldung die Verbindung sei nicht verschlüsselt!

    Das verstehe ich nicht wirklich. Das wäre aber möglich, wenn du zuvor im Joomla in der Konfiguration "SSL erzwingen" aktiviert hast. Hast du das gemacht?



    Axel

  • Hast du vielleicht die PHP-Version global geändert? Für Joomla 3.8.8 kannst du PHP 7.1 nehmen, wenn die Drittanbieter-Erweiterungen das mitmachen auch PHP 7.2.


    Für Joomla 1.5 würde ich PHP 5.3 nutzen. Das erklärt allerdings nicht dein Problem mit der Verschlüsselung.

    Vielleicht solltest du die alte Seite lokal umziehen, wenn sie gehackt sein könnte.


    chr-hl : Der Link steht im ersten Beitrag.

  • Hallo,

    ich kann mich nicht mehr ins administrator Bereich, meiner Seite die unter joomla 1.5 läuft, einloggen. Meldung die Verbindung sei nicht verschlüsselt!

    sehe da keine Meldung wegen (Nicht) Verschlüsselung, sondern:


    Beim 1. Aufruf ist die Seite da. Geht man zur Startseite, gibt es einen 403er (forbidden).
    Diese verweist nämlich auf die neue Seite (2. Link). Die neue wiederum ohne: www


    /administrator: da gibt es jede Menge Strict Standard Meldungen. Logge ich mich testweise ein, würde ich ja eine Fehlermeldung erwarten.


    Wird die Liste der "Strict Standards: Non-static method JLoader::import() should not be called statically ..... " noch länger. Mind. 300 Zeilen.


    Denke, Du brauchst da professionelle Hilfe.


    Liebe Grüße

    Christine